## org.eclipse.datatools.sqltools.common.ui.preferences
Class AbstractDBPreferenceFieldPage

    java.lang.Object
      FieldEditorPreferencePage
          org.eclipse.datatools.sqltools.common.ui.preferences.AbstractDBPreferenceFieldPage

    public abstract class AbstractDBPreferenceFieldPage

extends FieldEditorPreferencePage

The preference pages in DTP that want to accomodate vendor specific setting should extend this class, which manages the vendor settings by notifying the IDataServerPreferenceSection at propriate time. Also this is FieldEditorPreferencePage, subclass can choose not to use FieldEditor by passing "false" to the constructor. Normally subclass needs to implement getPreferencePageId() to tell the parent class which IDataServerPreferenceSection to load and to override init(IWorkbench workbench) to set the proper preference store.

Author:
  Dafan Yang, Hui Cao

Constructor Summary
`AbstractDBPreferenceFieldPage()`
`AbstractDBPreferenceFieldPage(boolean useFieldEditor)`
`AbstractDBPreferenceFieldPage(int style)`
`AbstractDBPreferenceFieldPage(java.lang.String title, ImageDescriptor image, int style)`
`AbstractDBPreferenceFieldPage(java.lang.String title, int style)`

Method Summary
`abstract java.lang.String` `getPreferencePageId()`
`void` `handleEvent(Event event)`
`void` `init(IWorkbench workbench)` subclass should override this method to set proper preference store
`boolean` `performOk()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage()

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(boolean useFieldEditor)

Parameters:
  `useFieldEditor` - Whether to use FieldEditor in the vendor-neatural part.

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(int style)

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(java.lang.String title,
                                         ImageDescriptor image,
                                         int style)

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(java.lang.String title,
                                         int style)

Method Detail

### init

    public void init(IWorkbench workbench)

  subclass should override this method to set proper preference store

### performOk

    public boolean performOk()

### handleEvent

    public void handleEvent(Event event)

### getPreferencePageId

    public abstract java.lang.String getPreferencePageId()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.